package com.rjconsultores.ventaboletos.dao;

import java.util.Date;
import java.util.List;

import org.zkoss.zul.Comboitem;

import com.rjconsultores.ventaboletos.entidad.TarjetaViaje;

public interface TarjetaViajeDAO extends GenericDAO<TarjetaViaje, Integer> {

	public List<TarjetaViaje> buscarTarjetaPorFiltros(Integer autoIni, Integer autoFin, Date dataIni, Date dataFin, Comboitem empresa);

	public List<TarjetaViaje> buscarTarjetasParaEnvioNomina(Date fecIni, Date fecFin);

	public List<TarjetaViaje> buscarTarjetaPorFiltros(TarjetaViaje tarjeta);

	public boolean buscarTarjetaExisteVolta(TarjetaViaje t);

}
